Bug 821969 - Developer Guide Information Set
Developer Guide Information Set
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.0.0
All All
urgent Severity urgent
: ---
: 6.0.0
Assigned To: Misha H. Ali
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 19:29 EDT by Misha H. Ali
Modified: 2012-08-15 12:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-14 23:07:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2012-05-15 19:29:28 EDT
FYI, a current draft of the Developer Guide exists here:

http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Developer_Guide/index.html

Some context:

1. The existing information about APIs used in JBoss Data Grid 6 based on the information available for ISPN in the community docs. This includes information about usage, benefits, concepts, configs, etc. for each API.

2. The javadocs are a great source for classes and their attributes for developers.

Aside from these two information sets, I wonder if there is anything (possibly really obvious for actual developers) else that *should* be documented in the developer guide but is not really known to me.

Copying myarboro, asantos and ttarrant on this bug.
Comment 1 Misha H. Ali 2012-05-22 17:43:28 EDT
Adding remote interfaces to Developer guide and marking this bug modified.
Comment 2 Misha H. Ali 2012-06-12 18:20:33 EDT
Prabhat's QE feedback:

prabhat> 2.3.2 Need more code
<prabhat> Chapter 5: Need more code
<prabhat> Chapter 6: Need more code
<prabhat> Section 9.2.1 is not needed.
<prabhat> Entire chapter 10 is very detailed and is an example of how other chapters ideally should be.
<prabhat> I believe a separate chapter for Transaction is needed
Comment 3 Misha H. Ali 2012-06-12 23:00:15 EDT
(In reply to comment #2)
> Prabhat's QE feedback:
> 
> prabhat> 2.3.2 Need more code

Added the following topics:

* Flag Usage with the AdvancedCache Interface
* Using the ConfigurationBuilder API to Configure the Cache API
* Custom Interceptors [QE'd by Martin in Admin & Config Guide]
* Custom Interceptor Design [QE'd by Martin in Admin & Config Guide]
* Adding Custom Interceptors Programatically [QE'd by Martin in Admin & Config Guide]
* Adding custom interceptors declaratively [QE'd by Martin in Admin & Config Guide]


> <prabhat> Chapter 5: Need more code
Adding following topis:

* The ConfigurationBuilder API
* Enable the CacheStore using the ConfigurationBuilder API


Created following topics:

* Programmatically Create a CacheManager and Replicated Cache
* Create a Customized Cache Using the Default Named Cache
* Create a Customized Cache Using a Non-Default Named Cache
* Using the Configuration Builder to Create Caches Programmatically
* Globally Configure the Transport Layer
* Globally Configure the Cache Manager Name
* Globally Customize Thread Pool Executors
* Cache Level Configuration for the Cluster Mode
* Cache Level Eviction and Expiration Configuration
* Cache Level Configuration for JTA Transactions
* Cache Level Configuration Using Chained Persistent Stores
* Cache Level Configuration for Advanced Externalizers
* Cache Level Configuration for Custom Interceptors


> <prabhat> Chapter 6: Need more code

Created the following:

* The Externalizable API Usage
* The Externalizable API Configuration Example
* AdvancedExternalizer Example
* Linking Externalizers with Marshaller Classes
* Externalizer Identifier
* Registering Advanced Externalizers
* Register Multiple Externalizers Programmatically

> <prabhat> Section 9.2.1 is not needed.

Removed.

> <prabhat> Entire chapter 10 is very detailed and is an example of how other
> chapters ideally should be.

Why, thank you. ;)

> <prabhat> I believe a separate chapter for Transaction is needed

We have the following chapter in the Admin and Config guide. Is this what you think is required here as well:

16. Transactions
16.1. Java Transaction API Transactions
16.2. Transactions Spanning Multiple Cache Instances
16.3. Transaction/Batching and Invalidation Messages
16.4. The Transaction Manager
16.4.1. JTA Transaction Manager Lookup Classes
16.4.2. DummyTransactionManagerLookup
16.4.3. JBossStandaloneJTAManagerLookup
16.4.4. GenericTransactionManagerLookup
16.4.5. JBossTransactionManagerLookup
16.4.6. Use the Transaction Manager
16.4.6.1. Obtain the Transaction Manager From the Cache
16.4.6.2. Transaction Configuration
16.4.6.3. Transaction Manager and XAResources
16.4.6.4. Obtain a XAResource Reference
16.4.6.5. Default Distributed Transaction Behavior
16.5. Transaction Synchronization
16.5.1. Transaction (JTA) Synchronizations
16.5.2. Enable Synchronization
Comment 4 Misha H. Ali 2012-06-13 01:08:06 EDT
Re: Transactions. Added Transactions to the following chapter:

http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Developer_Guide/chap-The_Batching_API.html
Comment 5 prabhat jha 2012-06-13 10:49:11 EDT
Misha, thanks for these update and docs look more beefy.

Note You need to log in before you can comment on or make changes to this bug.